# Class StoragePayload

#### Hierarchy

- unknown
  - StoragePayload

- Defined in src/protobuf/pb_pb.d.ts:1899
- Defined in src/protobuf/pb_pb.d.ts:1945

#####
Index

### Constructors

constructor

### Methods

clearAlert
clearArbitrator
clearFilter
clearMailboxStoragePayload
clearMediator
clearOfferPayload
clearRefundAgent
getAlert
getArbitrator
getFilter
getMailboxStoragePayload
getMediator
getMessageCase
getOfferPayload
getRefundAgent
hasAlert
hasArbitrator
hasFilter
hasMailboxStoragePayload
hasMediator
hasOfferPayload
hasRefundAgent
serializeBinary
setAlert
setArbitrator
setFilter
setMailboxStoragePayload
setMediator
setOfferPayload
setRefundAgent
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StoragePayload(): StoragePayload

- #### Returns StoragePayload

  Inherited from jspb.Message.constructor

## Methods

### clearAlert

- clearAlert(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1903

### clearArbitrator

- clearArbitrator(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1908

### clearFilter

- clearFilter(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1918

### clearMailboxStoragePayload

- clearMailboxStoragePayload(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1923

### clearMediator

- clearMediator(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1913

### clearOfferPayload

- clearOfferPayload(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1928

### clearRefundAgent

- clearRefundAgent(): StoragePayload

- #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1933

### getAlert

- getAlert(): undefined | Alert

- #### Returns undefined | Alert

  - Defined in src/protobuf/pb_pb.d.ts:1900

### getArbitrator

- getArbitrator(): undefined | Arbitrator

- #### Returns undefined | Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:1905

### getFilter

- getFilter(): undefined | Filter

- #### Returns undefined | Filter

  - Defined in src/protobuf/pb_pb.d.ts:1915

### getMailboxStoragePayload

- getMailboxStoragePayload(): undefined | MailboxStoragePayload

- #### Returns undefined | MailboxStoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1920

### getMediator

- getMediator(): undefined | Mediator

- #### Returns undefined | Mediator

  - Defined in src/protobuf/pb_pb.d.ts:1910

### getMessageCase

- getMessageCase(): StoragePayload.MessageCase

- #### Returns StoragePayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:1935

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- #### Returns undefined | OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:1925

### getRefundAgent

- getRefundAgent(): undefined | RefundAgent

- #### Returns undefined | RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:1930

### hasAlert

- hasAlert(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1902

### hasArbitrator

- hasArbitrator(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1907

### hasFilter

- hasFilter(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1917

### hasMailboxStoragePayload

- hasMailboxStoragePayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1922

### hasMediator

- hasMediator(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1912

### hasOfferPayload

- hasOfferPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1927

### hasRefundAgent

- hasRefundAgent(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1932

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1937

### setAlert

- setAlert(value?: Alert): StoragePayload

- #### Parameters

  - ##### `Optional` value: Alert

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1901

### setArbitrator

- setArbitrator(value?: Arbitrator): StoragePayload

- #### Parameters

  - ##### `Optional` value: Arbitrator

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1906

### setFilter

- setFilter(value?: Filter): StoragePayload

- #### Parameters

  - ##### `Optional` value: Filter

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1916

### setMailboxStoragePayload

- setMailboxStoragePayload(value?: MailboxStoragePayload): StoragePayload

- #### Parameters

  - ##### `Optional` value: MailboxStoragePayload

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1921

### setMediator

- setMediator(value?: Mediator): StoragePayload

- #### Parameters

  - ##### `Optional` value: Mediator

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1911

### setOfferPayload

- setOfferPayload(value?: OfferPayload): StoragePayload

- #### Parameters

  - ##### `Optional` value: OfferPayload

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1926

### setRefundAgent

- setRefundAgent(value?: RefundAgent): StoragePayload

- #### Parameters

  - ##### `Optional` value: RefundAgent

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1931

### toObject

- toObject(includeInstance?: boolean): StoragePayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StoragePayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1938

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StoragePayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1941

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StoragePayload, reader: BinaryReader): StoragePayload

- #### Parameters

  - ##### message: StoragePayload

  - ##### reader: BinaryReader

  #### Returns StoragePayload

  - Defined in src/protobuf/pb_pb.d.ts:1942

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StoragePayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StoragePayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1940

### `Static` toObject

- toObject(includeInstance: boolean, msg: StoragePayload): StoragePayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StoragePayload

  #### Returns StoragePayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1939

Generated using TypeDoc